org.apache.ignite.internal.processors.igfs.secondary.local

## Class LocalFileSystemUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.secondary.local.LocalFileSystemUtils

    public class LocalFileSystemUtils
    extends Object

Various utility methods for local file system.

### Field Summary

Fields
`static PosixFilePermission[]` `POSIX_PERMISSIONS` Posix file permissions.

### Method Summary

Methods
`static BasicFileAttributes` `basicAttributes(File file)` Get POSIX attributes for file.
`static PosixFileAttributes` `posixAttributes(File file)` Get POSIX attributes for file.
`static Map<String,String>` `posixAttributesToMap(PosixFileAttributes attrs)` Convert POSIX attributes to property map.
`static void` `updateProperties(File file, String grp, String perm)` Update file properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### POSIX_PERMISSIONS

    public static final PosixFilePermission[] POSIX_PERMISSIONS

Posix file permissions.

### Method Detail

#### updateProperties

    public static void updateProperties(File file,
                        String grp,
                        String perm)

Update file properties.

Parameters:
  `file` - File.
  `grp` - Group.
  `perm` - Permissions.

#### posixAttributes

    @Nullable
    public static PosixFileAttributes posixAttributes(File file)

Get POSIX attributes for file.

Parameters:
  `file` - File.
Returns:
  PosixFileAttributes.

#### basicAttributes

    @Nullable
    public static BasicFileAttributes basicAttributes(File file)

Get POSIX attributes for file.

Parameters:
  `file` - File.
Returns:
  BasicFileAttributes.

#### posixAttributesToMap

    public static Map<String,String> posixAttributesToMap(PosixFileAttributes attrs)

Convert POSIX attributes to property map.

Parameters:
  `attrs` - Attributes view.
Returns:
  IGFS properties map.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017